/*Footer*/

footer.back-black {
    background-color: var(--primary-color2);
}

footer.back-black li,
footer.back-black p,
footer.back-black strong,
footer.back-black li a,
footer.back-black h3,
footer.back-black svg {
    color: #fff;
}

footer.back-black .footer-social ul.social-icon li {
    /* border: 1px solid #fff; */
}

footer.back-black .svg-zalo .st0 {
    /* fill:#fdfefe; */
}
footer.back-black .svg-zalo .st1 {
    /* fill: #fff; */
}
footer.back-black .svg-zalo .st2 {
    /* fill: #fff; */
}
footer.back-black .svg-zalo .st3 {
    fill: none;
    stroke: #0180c7;
    stroke-width: 2;
    stroke-miterlimit: 10;
}

footer.back-white {
    box-shadow: 0px 4px 6px var(--primary-background);
}

footer.back-white .footer-social ul.social-icon li {
    border: 1px solid var(--primary-background);
}

footer.back-white svg {
    color: var(--primary-color);
}

footer.back-white li a {
    color: unset;
}

footer.back-white ul.social-icon li:hover svg {
    color: #fff;
}

footer.back-white .svg-zalo .st0 {
    fill: var(--primary-color);
}
footer.back-white .svg-zalo .st1 {
    fill: var(--primary-color);
}
footer.back-white .svg-zalo .st2 {
    fill: var(--primary-color);
}
footer.back-white .svg-zalo .st3 {
    fill: none;
    stroke: #0180c7;
    stroke-width: 2;
    stroke-miterlimit: 10;
}

footer.back-white li:hover .svg-zalo .st0,
footer.back-white li:hover .svg-zalo .st1,
footer.back-white li:hover .svg-zalo .st2 {
    fill: #fff;
}
footer.back-white li:hover .svg-zalo .st3 {
    stroke: #ffffff;
}

footer .footer-contact:first-child {
    margin-bottom: 20px;
}

footer .logo-footer {
    text-align: center;
    margin: auto;
    margin-bottom: 20px;
}
.logo {
    max-height: 50px;
}

.logo img {
    max-height: 50px;
    width: unset;
}

footer .logo-footer img {
    width: unset;
    max-height: 50px;
}

footer svg {
    /*color: #fff;*/
    fill: currentColor;
    vertical-align: middle;
}

/* footer .footer-social ul li svg, */
footer .icon-svg svg[width],
footer .icon-svg svg[height] {
    height: 20px !important;
    width: 20px !important;
}

footer .title-col {
    margin-bottom: 20px;
    /*color: #fff;*/
    font-size: 25px;
}

footer .widget-title {
    margin-bottom: 15px;
    font-weight: 700;
}

footer .widget-title .title {
    position: relative;
    font-size: 20px;
    color: #fff;
}

.widget-title .title:before {
    position: absolute;
    content: "";
    border-bottom: 1.8px solid var(--primary-background);
    left: 0;
    right: 0;
    bottom: -7px;
}

.footer-logo-box {
    text-align: center;
}

.footer-logo-box .desc p {
    margin-bottom: 15px;
}

footer p {
    /*color: #ddd;*/
    word-break: break-word;
    margin-bottom: 5px;
}

footer .footer-item .footer-contact ul {
    margin: 0;
    padding: 0;
    list-style-type: none !important;
}

footer .footer-item .footer-contact ul li {
    margin-top: 10px;
}

footer .footer-item .footer-contact ul li a:hover {
    margin-left: 5px;
    color: var(--white) !important;
}

footer .footer-item .footer-contact ul li i {
    font-size: 25px;
    text-align: center;
    position: absolute;
    top: 2px;
    left: 0;
    -moz-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

footer .footer-social .social-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin-top: 10px;
}

footer .footer-social .social-icon li,
footer .footer-social .social-icon li span {
    display: flex;
    align-items: center;
    padding: 0;
    margin: 0 3px;
}

footer .footer-social ul.social-icon li {
    /*border-radius: 50%;*/
    /* border: 1px solid #fff; */
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    /* margin: 0 5px !important; */
    overflow: hidden;
    transition: 0.5s;
}

footer .footer-social .social-icon li .icon {
    width: 30px;
    height: 30px;
    border: 1px solid #eee;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer .footer-social ul.social-icon li:hover {
    background-color: var(--primary-background);
    transition: 0.5s;
}

footer .footer-social ul.social-icon li a:hover {
    margin-left: 0;
}

footer .footer-social ul.social-icon li svg {
    margin: 0;
    /* color: #fff; */
}

footer .footer-social ul li svg {
    height: 15px;
    width: 15px;
}

footer .footer-social ul.social-icon li img {
    max-width: 25px;
    max-height: 25px;
    border-radius: 25px 25px;
}

footer .barcode {
    text-align: center;
    margin-top: 10px !important;
}

footer .payments {
    margin-top: 10px;
}

footer .payments img {
    margin-bottom: 5px;
    width: 50px;
    display: inline-block;
}

footer ul.list-contact {
    margin-bottom: 0;
    padding: 0;
}

footer ul.list-contact li {
    margin-bottom: 10px;
    display: block;
}

footer .text {
    margin-left: 5px;
}

footer .fb-page,
footer .fb-page * {
    width: 100%;
    max-width: 100%;
}

@media screen and (min-width: 1024x) {
    footer .footer-main-area {
        padding: 90px 0;
    }
}

@media screen and (max-width: 1023x) {
    .footer {
        padding-top: 0px;
    }
    footer .footer-main-area {
        padding: 50px 0;
    }

    footer .logo-footer img {
        max-height: 70px;
    }

    .footer-social {
        margin-bottom: 30px;
    }
}

@media screen and (max-width: 990px) {
    .col-content + .col-content {
        margin-top: 20px;
        border-top: 1px solid #444444;
        padding-top: 20px;
    }
}

@media screen and (max-width: 767px) {
    footer .title-col {
        font-size: 20px;
    }
}

/*copy right*/

footer .footer-main-area {
    padding: 50px 0;
}

.footer-bottom-area {
    padding: 22px 0;
    border-top: 1px solid #42424278;
    /*background-color: #1e1e1e;*/
}

.footer-bottom-area p {
    margin-bottom: 0;
}

/*scroll Top*/

.scrollToTop-box {
    border-radius: 5px;
    position: fixed;
    bottom: 20px;
    /* width: 40px;
    height: 40px; */
    right: 30px;
    line-height: 120%;
    font-size: 12px;
    text-align: center;
    z-index: 99;
    cursor: pointer;
    transition: all 1s;
    transform: translateY(100%);

    animation: bounceTop 1.5s infinite;
}

.scrollToTop {
    width: 40px;
    height: 40px;
    line-height: 120%;
    font-size: 15px;
    text-align: center;
    z-index: 99;
    cursor: pointer;
    transition: all 1s;
    transform: translateY(100%);

    /* border-radius: 5px;
    position: fixed;
    bottom: 0;
    right: 30px; */

    border: 1px solid var(--primary-background2);

    /* animation: bounceTop 1.5s infinite; */
}

.scrollToTop.active {
    bottom: 30px;
    transform: translateY(0);
}

.scrollToTop:hover {
    color: #fff;
    background-color: var(--primary-background2);
}

.scrollToTop .svg-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    /* width: 43px; */
    height: 100%;
}

@media (max-width: 767px) {
    .scrollToTop-box {
        bottom: 100px;
    }
}

/* animation */
@keyframes bounceTop {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-8px);
    }
    100% {
        transform: translateY(0);
    }
}
